Magento Forum

   
Command Line upgrade 1.3.2.4 to 1.4.11
 
Boreded
Jr. Member
 
Total Posts:  15
Joined:  2010-09-20
 

Upgraded 2 magento installations from 1.3.2.4 to 1.4.1.1 with no issues at all by doing the following on the command line:

./pear mage-setup
./pear upgrade magento-core/Mage_All_Latest

And then manually clearing cache by emptying:
var/cache/
var/session/
app/code/core/Zend/Cache/

The first 2 attempts went well and upgraded fine.
However the 3rd install wont let me run this at all… i get the error:

Notice: unserialize(): Error at offset 425414 of 1318223 bytes in PEAR/Registry.php on line 1145

Notice: unserialize(): Error at offset 7351 of 9198 bytes in PEAR/Registry.php on line 1145
ERROR: pear.php.net/Archive_Tar not installed
Notice: unserialize(): Error at offset 8730 of 21892 bytes in PEAR/Registry.php on line 1145

Notice: unserialize(): Error at offset 8730 of 21892 bytes in PEAR/Registry.php on line 1145
ERROR: pear.php.net/Structures_Graph not installed

Notice: unserialize(): Error at offset 4946 of 6124 bytes in PEAR/Registry.php on line 1145

Notice: unserialize(): Error at offset 4946 of 6124 bytes in PEAR/Registry.php on line 1145
ERROR: pear.php.net/Console_Getopt not installed

Notice: unserialize(): Error at offset 17709 of 26353 bytes in PEAR/Registry.php on line 1145

Notice: unserialize(): Error at offset 17709 of 26353 bytes in PEAR/Registry.php on line 1145
ERROR: pear.php.net/XML_Util not installed

Notice: unserialize(): Error at offset 51620 of 83164 bytes in PEAR/Registry.php on line 1145

Notice: unserialize(): Error at offset 51620 of 83164 bytes in PEAR/Registry.php on line 1145
ERROR: pear.php.net/PEAR not installed

Notice: unserialize(): Error at offset 6154 of 15078 bytes in PEAR/Registry.php on line 1145

Notice: unserialize(): Error at offset 6154 of 15078 bytes in PEAR/Registry.php on line 1145
ERROR: connect.magentocommerce.com/core/Mage_Pear_Helpers not installed

Any ideas?

Thanks.

 
Magento Community Magento Community
Magento Community
Magento Community
 
pratik016
Jr. Member
 
Total Posts:  2
Joined:  2010-02-14
 

Hi,
I am getting the error message while using command for the upgrade, can you please let me know if any other changes required to use that command !?
Magento version is 1.4.2
Platform: WAMP

----------------------------------------------------------------------------
D:\wamp\www\magento\mag142>pear mage-setup
Command ‘mage-setup’ is not valid, try ‘pear help’

D:\wamp\www\magento\mag142>pear upgrade magento-core/Mage_All_Latest
Attempting to discover channel “magento-core"…
Attempting fallback to https instead of http on channel “magento-core"…
unknown channel “magento-core” in “magento-core/Mage_All_Latest”
invalid package name/package file “magento-core/Mage_All_Latest”
upgrade failed
----------------------------------------------------------------------------

 
Magento Community Magento Community
Magento Community
Magento Community
Magento Community
Magento Community
    Back to top